Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Compression_Stream Class Referenceabstract

`#include <compression.h>`

Inheritance diagram for Botan::Compression_Stream:

## Public Member Functions
virtual size_t | avail_in () const =0
virtual size_t | avail_out () const =0
virtual uint32_t | finish_flag () const =0
virtual uint32_t | flush_flag () const =0
virtual void | next_in (uint8_t *b, size_t len)=0
virtual void | next_out (uint8_t *b, size_t len)=0
virtual bool | run (uint32_t flags)=0
virtual uint32_t | run_flag () const =0
virtual | ~Compression_Stream ()

## Detailed Description

Adapts a zlib style API

Definition at line 109 of file compression.h.

## Constructor & Destructor Documentation

virtual Botan::Compression_Stream::~Compression_Stream | ( |  | ) |
| inline virtual

Definition at line 112 of file compression.h.

112 {}

## Member Function Documentation

virtual size_t Botan::Compression_Stream::avail_in | ( |  | ) | const
| pure virtual

Implemented in Botan::Zlib_Style_Stream< Stream, ByteType >.

virtual size_t Botan::Compression_Stream::avail_out | ( |  | ) | const
| pure virtual

Implemented in Botan::Zlib_Style_Stream< Stream, ByteType >.

virtual uint32_t Botan::Compression_Stream::finish_flag | ( |  | ) | const
| pure virtual

virtual uint32_t Botan::Compression_Stream::flush_flag | ( |  | ) | const
| pure virtual

virtual void Botan::Compression_Stream::next_in | ( | uint8_t * | b,
|  | size_t | len
| ) |  |
| pure virtual

Implemented in Botan::Zlib_Style_Stream< Stream, ByteType >.

virtual void Botan::Compression_Stream::next_out | ( | uint8_t * | b,
|  | size_t | len
| ) |  |
| pure virtual

Implemented in Botan::Zlib_Style_Stream< Stream, ByteType >.

virtual bool Botan::Compression_Stream::run | ( | uint32_t | flags | ) |
| pure virtual

virtual uint32_t Botan::Compression_Stream::run_flag | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- src/lib/compression/compression.h